8 Replies Latest reply: Oct 9, 2012 1:03 AM by rolfino
rolfino Level 1 Level 1 (0 points)

Why cant I buy Aperture for my Imac with OX10.6.8??? Have Apple being like the apes Microsoft? MUST I have the Mountain Lion when I am so satified with Leopard with many many apps and program I have buy for much MONEY and dont want to only put in the trash???????

Make my day....

Rolfino


iMac, Mac OS X (10.6.8)